# Gimp.file_save

    function file_save(run_mode: Gimp.RunMode, image: Gimp.Image, file: Gio.File, options: Gimp.ExportOptions): Boolean {
        // Gjs wrapper for gimp_file_save()
    }

Saves a file by extension.

This procedure invokes the correct file save handler according to the file's extension and/or prefix. The options argument is currently unused and should be set to null right now.

run_mode

  The run mode.

image

  Input image.

file

  The file to save the image in.

options

  Export option settings.

Returns

  TRUE on success.